sealed class GradeAveragesEvent {}

final class GradingSystemChanged extends GradeAveragesEvent {
  final bool isMiddleSchool;
  GradingSystemChanged(this.isMiddleSchool);
}

final class ResetAll extends GradeAveragesEvent {}

final class ResetGrade extends GradeAveragesEvent {
  final int grade;
  ResetGrade(this.grade);
}

final class IncrementGrade extends GradeAveragesEvent {
  final int grade;
  IncrementGrade(this.grade);
}

final class DecrementGrade extends GradeAveragesEvent {
  final int grade;
  DecrementGrade(this.grade);
}
